## org.apache.mahout.math.hadoop.stochasticsvd
Class QJob

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.QJob

    public final class QJob

extends Object

Compute first level of QHat-transpose blocks.

See Mahout-376 working notes for details.

Uses some of Hadoop deprecated api wherever newer api is not available. Hence, @SuppressWarnings("deprecation") for imports (MAHOUT-593).

Nested Class Summary
`static class` `QJob.QMapper`

Field Summary
`static String` `OUTPUT_QHAT`
`static String` `OUTPUT_RHAT`
`static String` `PROP_AROWBLOCK_SIZE`
`static String` `PROP_K`
`static String` `PROP_OMEGA_SEED`
`static String` `PROP_P`
`static String` `PROP_SB_PATH`

Method Summary
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path[] inputPaths, org.apache.hadoop.fs.Path sbPath, org.apache.hadoop.fs.Path outputPath, int aBlockRows, int minSplitSize, int k, int p, long seed, int numReduceTasks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_OMEGA_SEED

    public static final String PROP_OMEGA_SEED

See Also:
  Constant Field Values

### PROP_K

    public static final String PROP_K

See Also:
  Constant Field Values

### PROP_P

    public static final String PROP_P

See Also:
  Constant Field Values

### PROP_SB_PATH

    public static final String PROP_SB_PATH

See Also:
  Constant Field Values

### PROP_AROWBLOCK_SIZE

    public static final String PROP_AROWBLOCK_SIZE

See Also:
  Constant Field Values

### OUTPUT_RHAT

    public static final String OUTPUT_RHAT

See Also:
  Constant Field Values

### OUTPUT_QHAT

    public static final String OUTPUT_QHAT

See Also:
  Constant Field Values

Method Detail

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path[] inputPaths,
                           org.apache.hadoop.fs.Path sbPath,
                           org.apache.hadoop.fs.Path outputPath,
                           int aBlockRows,
                           int minSplitSize,
                           int k,
                           int p,
                           long seed,
                           int numReduceTasks)
                    throws ClassNotFoundException,
                           InterruptedException,
                           IOException

  Throws:
    `ClassNotFoundException`
    `InterruptedException`
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.